Name:           python-aws-embedded-metrics
Version:        3.3.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        AWS Embedded Metrics Package

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/awslabs/aws-embedded-metrics-python
Source:         %{pypi_source aws-embedded-metrics}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'aws-embedded-metrics' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-aws-embedded-metrics
Summary:        %{summary}

%description -n python3-aws-embedded-metrics %_description


%prep
%autosetup -p1 -n aws-embedded-metrics-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-aws-embedded-metrics -f %{pyproject_files}


%changelog
%autochangelog